For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Field Mapping
          • GET/field-mappings
          • POST/field-mappings
          • DEL/field-mappings/{field_mapping_id}
          • PATCH/field-mappings/{field_mapping_id}
          • GET/remote-fields
          • GET/target-fields
          • POST/target-fields

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Linked AccountField Mapping

/remote-fields

GET
/hris/v1/remote-fields
GET
/api/hris/v1/remote-fields
$curl https://api.merge.dev/api/hris/v1/remote-fields \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "Benefit": [
3 {
4 "schema": {
5 "type": "string"
6 },
7 "remote_key_name": "example_remote_key_name",
8 "remote_endpoint_info": {
9 "method": "GET",
10 "url_path": "/example-url-path",
11 "field_traversal_path": [
12 "example_key_name"
13 ]
14 },
15 "advanced_metadata": {
16 "id": "string",
17 "display_name": "string",
18 "description": "string",
19 "is_required": true,
20 "is_custom": true,
21 "field_choices": [
22 null
23 ]
24 },
25 "example_values": [
26 "example"
27 ],
28 "coverage": 0.33
29 }
30 ],
31 "EmployerBenefit": [
32 {
33 "schema": {
34 "type": "string"
35 },
36 "remote_key_name": "example_remote_key_name",
37 "remote_endpoint_info": {
38 "method": "GET",
39 "url_path": "/example-url-path",
40 "field_traversal_path": [
41 "example_key_name"
42 ]
43 },
44 "advanced_metadata": {
45 "id": "string",
46 "display_name": "string",
47 "description": "string",
48 "is_required": true,
49 "is_custom": true,
50 "field_choices": [
51 null
52 ]
53 },
54 "example_values": [
55 "example"
56 ],
57 "coverage": 0.33
58 }
59 ],
60 "Company": [
61 {
62 "schema": {
63 "type": "string"
64 },
65 "remote_key_name": "example_remote_key_name",
66 "remote_endpoint_info": {
67 "method": "GET",
68 "url_path": "/example-url-path",
69 "field_traversal_path": [
70 "example_key_name"
71 ]
72 },
73 "advanced_metadata": {
74 "id": "string",
75 "display_name": "string",
76 "description": "string",
77 "is_required": true,
78 "is_custom": true,
79 "field_choices": [
80 null
81 ]
82 },
83 "example_values": [
84 "example"
85 ],
86 "coverage": 0.33
87 }
88 ],
89 "EmployeePayrollRun": [
90 {
91 "schema": {
92 "type": "string"
93 },
94 "remote_key_name": "example_remote_key_name",
95 "remote_endpoint_info": {
96 "method": "GET",
97 "url_path": "/example-url-path",
98 "field_traversal_path": [
99 "example_key_name"
100 ]
101 },
102 "advanced_metadata": {
103 "id": "string",
104 "display_name": "string",
105 "description": "string",
106 "is_required": true,
107 "is_custom": true,
108 "field_choices": [
109 null
110 ]
111 },
112 "example_values": [
113 "example"
114 ],
115 "coverage": 0.33
116 }
117 ],
118 "Employee": [
119 {
120 "schema": {
121 "type": "string"
122 },
123 "remote_key_name": "example_remote_key_name",
124 "remote_endpoint_info": {
125 "method": "GET",
126 "url_path": "/example-url-path",
127 "field_traversal_path": [
128 "example_key_name"
129 ]
130 },
131 "advanced_metadata": {
132 "id": "string",
133 "display_name": "string",
134 "description": "string",
135 "is_required": true,
136 "is_custom": true,
137 "field_choices": [
138 null
139 ]
140 },
141 "example_values": [
142 "example"
143 ],
144 "coverage": 0.33
145 }
146 ],
147 "Employment": [
148 {
149 "schema": {
150 "type": "string"
151 },
152 "remote_key_name": "example_remote_key_name",
153 "remote_endpoint_info": {
154 "method": "GET",
155 "url_path": "/example-url-path",
156 "field_traversal_path": [
157 "example_key_name"
158 ]
159 },
160 "advanced_metadata": {
161 "id": "string",
162 "display_name": "string",
163 "description": "string",
164 "is_required": true,
165 "is_custom": true,
166 "field_choices": [
167 null
168 ]
169 },
170 "example_values": [
171 "example"
172 ],
173 "coverage": 0.33
174 }
175 ],
176 "Location": [
177 {
178 "schema": {
179 "type": "string"
180 },
181 "remote_key_name": "example_remote_key_name",
182 "remote_endpoint_info": {
183 "method": "GET",
184 "url_path": "/example-url-path",
185 "field_traversal_path": [
186 "example_key_name"
187 ]
188 },
189 "advanced_metadata": {
190 "id": "string",
191 "display_name": "string",
192 "description": "string",
193 "is_required": true,
194 "is_custom": true,
195 "field_choices": [
196 null
197 ]
198 },
199 "example_values": [
200 "example"
201 ],
202 "coverage": 0.33
203 }
204 ],
205 "PayrollRun": [
206 {
207 "schema": {
208 "type": "string"
209 },
210 "remote_key_name": "example_remote_key_name",
211 "remote_endpoint_info": {
212 "method": "GET",
213 "url_path": "/example-url-path",
214 "field_traversal_path": [
215 "example_key_name"
216 ]
217 },
218 "advanced_metadata": {
219 "id": "string",
220 "display_name": "string",
221 "description": "string",
222 "is_required": true,
223 "is_custom": true,
224 "field_choices": [
225 null
226 ]
227 },
228 "example_values": [
229 "example"
230 ],
231 "coverage": 0.33
232 }
233 ],
234 "Team": [
235 {
236 "schema": {
237 "type": "string"
238 },
239 "remote_key_name": "example_remote_key_name",
240 "remote_endpoint_info": {
241 "method": "GET",
242 "url_path": "/example-url-path",
243 "field_traversal_path": [
244 "example_key_name"
245 ]
246 },
247 "advanced_metadata": {
248 "id": "string",
249 "display_name": "string",
250 "description": "string",
251 "is_required": true,
252 "is_custom": true,
253 "field_choices": [
254 null
255 ]
256 },
257 "example_values": [
258 "example"
259 ],
260 "coverage": 0.33
261 }
262 ],
263 "TimeOff": [
264 {
265 "schema": {
266 "type": "string"
267 },
268 "remote_key_name": "example_remote_key_name",
269 "remote_endpoint_info": {
270 "method": "GET",
271 "url_path": "/example-url-path",
272 "field_traversal_path": [
273 "example_key_name"
274 ]
275 },
276 "advanced_metadata": {
277 "id": "string",
278 "display_name": "string",
279 "description": "string",
280 "is_required": true,
281 "is_custom": true,
282 "field_choices": [
283 null
284 ]
285 },
286 "example_values": [
287 "example"
288 ],
289 "coverage": 0.33
290 }
291 ],
292 "TimeOffBalance": [
293 {
294 "schema": {
295 "type": "string"
296 },
297 "remote_key_name": "example_remote_key_name",
298 "remote_endpoint_info": {
299 "method": "GET",
300 "url_path": "/example-url-path",
301 "field_traversal_path": [
302 "example_key_name"
303 ]
304 },
305 "advanced_metadata": {
306 "id": "string",
307 "display_name": "string",
308 "description": "string",
309 "is_required": true,
310 "is_custom": true,
311 "field_choices": [
312 null
313 ]
314 },
315 "example_values": [
316 "example"
317 ],
318 "coverage": 0.33
319 }
320 ],
321 "BankInfo": [
322 {
323 "schema": {
324 "type": "string"
325 },
326 "remote_key_name": "example_remote_key_name",
327 "remote_endpoint_info": {
328 "method": "GET",
329 "url_path": "/example-url-path",
330 "field_traversal_path": [
331 "example_key_name"
332 ]
333 },
334 "advanced_metadata": {
335 "id": "string",
336 "display_name": "string",
337 "description": "string",
338 "is_required": true,
339 "is_custom": true,
340 "field_choices": [
341 null
342 ]
343 },
344 "example_values": [
345 "example"
346 ],
347 "coverage": 0.33
348 }
349 ],
350 "PayGroup": [
351 {
352 "schema": {
353 "type": "string"
354 },
355 "remote_key_name": "example_remote_key_name",
356 "remote_endpoint_info": {
357 "method": "GET",
358 "url_path": "/example-url-path",
359 "field_traversal_path": [
360 "example_key_name"
361 ]
362 },
363 "advanced_metadata": {
364 "id": "string",
365 "display_name": "string",
366 "description": "string",
367 "is_required": true,
368 "is_custom": true,
369 "field_choices": [
370 null
371 ]
372 },
373 "example_values": [
374 "example"
375 ],
376 "coverage": 0.33
377 }
378 ],
379 "Group": [
380 {
381 "schema": {
382 "type": "string"
383 },
384 "remote_key_name": "example_remote_key_name",
385 "remote_endpoint_info": {
386 "method": "GET",
387 "url_path": "/example-url-path",
388 "field_traversal_path": [
389 "example_key_name"
390 ]
391 },
392 "advanced_metadata": {
393 "id": "string",
394 "display_name": "string",
395 "description": "string",
396 "is_required": true,
397 "is_custom": true,
398 "field_choices": [
399 null
400 ]
401 },
402 "example_values": [
403 "example"
404 ],
405 "coverage": 0.33
406 }
407 ],
408 "Dependent": [
409 {
410 "schema": {
411 "type": "string"
412 },
413 "remote_key_name": "example_remote_key_name",
414 "remote_endpoint_info": {
415 "method": "GET",
416 "url_path": "/example-url-path",
417 "field_traversal_path": [
418 "example_key_name"
419 ]
420 },
421 "advanced_metadata": {
422 "id": "string",
423 "display_name": "string",
424 "description": "string",
425 "is_required": true,
426 "is_custom": true,
427 "field_choices": [
428 null
429 ]
430 },
431 "example_values": [
432 "example"
433 ],
434 "coverage": 0.33
435 }
436 ],
437 "TimesheetEntry": [
438 {
439 "schema": {
440 "type": "string"
441 },
442 "remote_key_name": "example_remote_key_name",
443 "remote_endpoint_info": {
444 "method": "GET",
445 "url_path": "/example-url-path",
446 "field_traversal_path": [
447 "example_key_name"
448 ]
449 },
450 "advanced_metadata": {
451 "id": "string",
452 "display_name": "string",
453 "description": "string",
454 "is_required": true,
455 "is_custom": true,
456 "field_choices": [
457 null
458 ]
459 },
460 "example_values": [
461 "example"
462 ],
463 "coverage": 0.33
464 }
465 ]
466}
Get all remote fields for a Linked Account. Remote fields are third-party fields that are accessible after initial sync if remote_data is enabled. You can use remote fields to override existing Merge fields or map a new Merge field. [Learn more](https://docs.merge.dev/supplemental-data/field-mappings/overview/).
Was this page helpful?
Previous

/field-mappings/{field_mapping_id}

Next

/target-fields

Get all remote fields for a Linked Account. Remote fields are third-party fields that are accessible after initial sync if remote_data is enabled. You can use remote fields to override existing Merge fields or map a new Merge field. Learn more.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

common_modelsstringOptional
A comma seperated list of Common Model names. If included, will only return Remote Fields for those Common Models.
include_example_valuesstringOptional
If true, will include example values, where available, for remote fields in the 3rd party platform. These examples come from active data from your customers.

Response

Benefitlist of objects
EmployerBenefitlist of objects
Companylist of objects
EmployeePayrollRunlist of objects
Employeelist of objects
Employmentlist of objects
Locationlist of objects
PayrollRunlist of objects
Teamlist of objects
TimeOfflist of objects
TimeOffBalancelist of objects
BankInfolist of objects
PayGrouplist of objects
Grouplist of objects
Dependentlist of objects
TimesheetEntrylist of objects